View Issue Details

IDProjectCategoryView StatusLast Update
0003706SymmetricDSBugpublic2019-04-24 14:58
ReporterhanesAssigned Tohanes 
Priorityhigh 
Status closedResolutionfixed 
Product Version3.9.12 
Target Version3.9.16Fixed in Version3.10.1 
Summary0003706: Marking Log file type monitor events as resolved causes a new log file event to appear
DescriptionIf you create a situation where a stack trace appears in the log, a monitor event is recorded. SymmetricDS is smart enough not to create multiple copies of that monitor event. BUT, if you mark that event as "resolved", it turns around and creates another copy of that event. Perhaps whatever it's using to determine if there's already an event representing the monitor that fires is (incorrectly) filtering out already-resolved events? Also, I'm not sure, but I think restarting the node fixes the issue, as does clearing the log.

More generally speaking, I've also had trouble consistently causing the monitor event to fire. I've had times where I've cause a stack trace to appear in the log yet the monitor doesn't fire, despite waiting more than enough time.
TagsNo tags attached.

Activities

elong

2019-04-24 14:55

developer   ~0001439

Is this fixed in 3.10?

hanes

2019-04-24 14:58

developer   ~0001440

Fixed in 3.10.0 as well.

Issue History

Date Modified Username Field Change
2018-09-05 13:12 hanes New Issue
2018-09-05 13:12 hanes Status new => assigned
2018-09-05 13:12 hanes Assigned To => josh-a-hicks
2018-10-03 13:37 hanes Target Version => 3.9.15
2018-10-31 14:19 admin Target Version 3.9.15 => 3.9.16
2019-04-24 14:55 elong Assigned To josh-a-hicks =>
2019-04-24 14:55 elong Status assigned => feedback
2019-04-24 14:55 elong Note Added: 0001439
2019-04-24 14:58 hanes Assigned To => hanes
2019-04-24 14:58 hanes Status feedback => closed
2019-04-24 14:58 hanes Resolution open => fixed
2019-04-24 14:58 hanes Fixed in Version => 3.10.1
2019-04-24 14:58 hanes Note Added: 0001440